onEvent('recipes', event => {
	// this creates a recipe for extracting 30 netherrack from obsidian, dealing 304 damage and taking an hour to mine at 128 RPM
	event.recipes.createautomated.extracting('kubejs:unobtainium_node', 'allthemodium:unobtainium_crystal')
            .drillDamage(304)
             // either 2 integers, in which case it will give a random amount between them, or 1 integer in which case it will always give this many
            .ore(30)
            .requiredProgressSeconds(128, 60)

            event.recipes.createautomated.extracting('kubejs:cheap_unobtainium_node', 'allthemodium:unobtainium_crystal')
            .drillDamage(304)
            .ore(10)
            .requiredProgressSeconds(128, 60)

            event.recipes.createautomated.extracting('kubejs:clay', 'minecraft:clay_ball')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)

            event.recipes.createautomated.extracting('kubejs:coal', 'pickletweaks:coal_piece')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)

            event.recipes.createautomated.extracting('kubejs:cobblestone', 'projectvibrantjourneys:rocks')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)

            event.recipes.createautomated.extracting('kubejs:copper_block', 'alltheores:copper_crystal')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            event.recipes.createautomated.extracting('kubejs:diamond_block', 'translocators:diamond_nugget')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)

            event.recipes.createautomated.extracting('kubejs:dirt', 'minecraft:dirt')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:emerald_block', 'createautomated:emerald_bit')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)

            event.recipes.createautomated.extracting('kubejs:end_stone', 'minecraft:end_stone')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)

            event.recipes.createautomated.extracting('kubejs:glass', 'quark:clear_shard')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)

            event.recipes.createautomated.extracting('kubejs:glowstone', 'minecraft:glowstone_dust')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:gold_block', 'mekanism:crystal_gold')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)

            event.recipes.createautomated.extracting('kubejs:gravel', 'minecraft:gravel')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:honey_block', 'minecraft:honey_bottle')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)

            event.recipes.createautomated.extracting('kubejs:iron_block', 'mekanism:crystal_iron')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)

            event.recipes.createautomated.extracting('kubejs:lapis_block', 'createautomated:lapis_ore_piece')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:netherite_block', 'tconstruct:debris_nugget')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)

            event.recipes.createautomated.extracting('kubejs:netherrack', 'minecraft:netherrack')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:obsidian', 'minecraft:obsidian')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)

            event.recipes.createautomated.extracting('kubejs:quartz_block', 'minecraft:quartz')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)

            event.recipes.createautomated.extracting('kubejs:red_sand', 'minecraft:red_sand')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:redstone_block', 'minecraft:redstone')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)

            event.recipes.createautomated.extracting('kubejs:sand', 'minecraft:sand')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:soul_sand', 'minecraft:soul_sand')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)

            event.recipes.createautomated.extracting('kubejs:stone', 'minecraft:stone')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)

            event.recipes.createautomated.extracting('kubejs:energized_steel_block', 'powah:steel_energized')
            .drillDamage(304)
            .ore(15)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:silver_block', 'alltheores:silver_crystal')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:spirited_crystal_block', 'powah:crystal_spirited')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:tin_block', 'alltheores:tin_crystal')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:uraninite_block', 'powah:uraninite_raw_poor')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:uranium_block', 'mekanism:crystal_uranium')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:vibranium_block', 'allthemodium:vibranium_crystal')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:zinc_block', 'alltheores:zinc_crystal')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:allthemodium_block', 'allthemodium:allthemodium_crystal')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:aluminum_block', 'alltheores:aluminum_crystal')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:blaze_rod_block', 'minecraft:blaze_rod')
            .drillDamage(304)
            .ore(7)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:enderium_block', 'thermal:enderium_nugget')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:ender_pearl_block', 'forbidden_arcanus:ender_pearl_fragment')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:electrum_block', 'thermal:electrum_nugget')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:constantan_block', 'thermal:constantan_nugget')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:bronze_block', 'thermal:bronze_nugget')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:blazing_crystal_block', 'powah:crystal_blazing')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:block_steel', 'mekanism:nugget_steel')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:signalum_block', 'thermal:signalum_nugget')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:platinum_block', 'alltheores:platinum_crystal')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:osmium_block', 'mekanism:crystal_osmium')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:nitro_crystal_block', 'powah:crystal_nitro')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:niotic_crystal_block', 'powah:crystal_niotic')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:nickel_block', 'alltheores:nickel_crystal')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:nether_star_block', 'progressivebosses:nether_star_shard')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:lumium_block', 'thermal:lumium_nugget')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:lead_block', 'alltheores:lead_crystal')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
            
            event.recipes.createautomated.extracting('kubejs:invar_block', 'thermal:invar_nugget')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)
//botania
            event.recipes.createautomated.extracting('kubejs:elementium_block', 'botania:elementium_nugget')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)

            event.recipes.createautomated.extracting('kubejs:mana_diamond_block', 'botania:mana_diamond')
            .drillDamage(304)
            .ore(3)
            .requiredProgressSeconds(128, 60)

            event.recipes.createautomated.extracting('kubejs:manasteel_block', 'botania:manasteel_nugget')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)

            event.recipes.createautomated.extracting('kubejs:terrasteel_block', 'botania:terrasteel_nugget')
            .drillDamage(304)
            .ore(30)
            .requiredProgressSeconds(128, 60)

})   